package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SiteSkillMapper;
import com.ruoyi.system.domain.SiteSkill;
import com.ruoyi.system.service.ISiteSkillService;

/**
 * 师傅技能配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class SiteSkillServiceImpl implements ISiteSkillService 
{
    @Autowired
    private SiteSkillMapper siteSkillMapper;

    /**
     * 查询师傅技能配置
     * 
     * @param id 师傅技能配置主键
     * @return 师傅技能配置
     */
    @Override
    public SiteSkill selectSiteSkillById(Long id)
    {
        return siteSkillMapper.selectSiteSkillById(id);
    }

    /**
     * 查询师傅技能配置列表
     * 
     * @param siteSkill 师傅技能配置
     * @return 师傅技能配置
     */
    @Override
    public List<SiteSkill> selectSiteSkillList(SiteSkill siteSkill)
    {
        return siteSkillMapper.selectSiteSkillList(siteSkill);
    }

    /**
     * 新增师傅技能配置
     * 
     * @param siteSkill 师傅技能配置
     * @return 结果
     */
    @Override
    public int insertSiteSkill(SiteSkill siteSkill)
    {
        return siteSkillMapper.insertSiteSkill(siteSkill);
    }

    /**
     * 修改师傅技能配置
     * 
     * @param siteSkill 师傅技能配置
     * @return 结果
     */
    @Override
    public int updateSiteSkill(SiteSkill siteSkill)
    {
        return siteSkillMapper.updateSiteSkill(siteSkill);
    }

    /**
     * 批量删除师傅技能配置
     * 
     * @param ids 需要删除的师傅技能配置主键
     * @return 结果
     */
    @Override
    public int deleteSiteSkillByIds(Long[] ids)
    {
        return siteSkillMapper.deleteSiteSkillByIds(ids);
    }

    /**
     * 删除师傅技能配置信息
     * 
     * @param id 师傅技能配置主键
     * @return 结果
     */
    @Override
    public int deleteSiteSkillById(Long id)
    {
        return siteSkillMapper.deleteSiteSkillById(id);
    }
}
